
```{r header-<% my_gene %>, results='asis', echo=FALSE}

cat("# gene: <% my_gene %>")
cd_i <- cd[cd$gene == "<% my_gene %>", ]
```
> Number of data gene: `r nrow(cd_i)`
> Number of data by group:

```{r gene-table-<% my_gene %>}

  group_by(cd_i, group) %>% summarise(N = n(), Min = min(value), '1st Qu.' = quantile(value, probs = 0.25),
									 Median = median(value), Mean = mean(value), '3rd Qu.' = quantile(value, probs = 0.75),
									Max = max(value))%>% as.data.frame() %>%
  knitr::kable(align = 'r')

```


```{r ratio-plot-<% my_gene %>, fig.height=3}

aux <- res["<% my_gene %>"]
plot_testratio(aux)
#ggplot(aux, aes(ratio)) + geom_density( fill = 'blue', alpha = 0.1) + facet_grid(contrast_name ~ .) +
#  theme_bw() + geom_vline(xintercept = 1, col = 'red')

#ggplot(aux, aes(x = factor(contrast_name), y = ratio)) + geom_violin( fill = 'skyblue') +
#geom_boxplot(width=0.1) + theme_bw()

#ggplot(aux, aes(x = factor(contrast_name), y = ratio)) + geom_boxplot() + theme_bw() +
#geom_hline(yintercept = 1, col = 'red', linetype = 'dashed')

```

```{r p-values-<% my_gene %>}
kable(summary_testratio(aux), align = 'c')
```

**Gene**: Name of the Gene. **Group**: Name of the group. **Mean**: The mean of the resamples. **Sd**: The standard devition of the resample's means. **Min**: The minimum value obtained in the resamples. **Q1**: The 1st quantile. **Q2**: The 2nd quantile. **Q3**: The 3rd quantile. **max**: The maximum value obtained in the resamples. **p**: The probability that ratio > 1.


\newpage
